Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Determiner

    java.lang.Object
      org.kemet.impl.grammar.model.Determiner

All Implemented Interfaces:
  java.io.Serializable, IGlobals

    public class Determiner

extends java.lang.Object
implements java.io.Serializable, IGlobals

Since:
  0.6
Author:
  fabricemaupin

  BEAN : Determiner.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Determiner()` instantiate the object.

Method Summary
`static void` | `clear()` remove all instances.
`static java.util.Vector` | `getDeterminerInstances()` return the list of instances.
`java.lang.String` | `getId()` return the identification.
`static Determiner` | `getSeek(java.lang.String id)` return the instance from id.
`static boolean` | `isContains(java.lang.String id)` the hieroglyph is a determiner ?
`boolean` | `isFeminineGrammaticalKind()` return the "feminine grammatical kind" state.
`boolean` | `isSubstitute()` return the "substitute" state.
`boolean` | `isUsedForIdeogram()` return the "used for ideogram" state.
`void` | `setFeminineGrammaticalKind(boolean feminineGrammaticalKind)` fix the "feminine grammatical kind" state.
`void` | `setId(java.lang.String id)` fix the identification.
`void` | `setSubstitute(boolean substitute)` fix the "substitute" state.
`void` | `setUsedForIdeogram(boolean usedForIdeogram)` fix the "used for ideogram" state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Determiner

    public Determiner()

  instantiate the object.

  Since:
    0.6

Method Detail

### isContains

    public static boolean isContains(java.lang.String id)

  the hieroglyph is a determiner ?

  Parameters:
    `id` - identification
  Returns:
    true / false
  Since:
    0.6

### getSeek

    public static Determiner getSeek(java.lang.String id)

  return the instance from id.

  Parameters:
    `id` - identification
  Returns:
    instances
  Since:
    0.6

### getDeterminerInstances

    public static java.util.Vector getDeterminerInstances()

  return the list of instances.

  Returns:
    list of instances
  Since:
    0.6

### clear

    public static void clear()

  remove all instances.

  Since:
    0.6

### getId

    public java.lang.String getId()

  return the identification.

  Returns:
    identification
  Since:
    0.6

### setId

    public void setId(java.lang.String id)

  fix the identification.

  Parameters:
    `id` - identification to fix
  Since:
    0.6

### isSubstitute

    public boolean isSubstitute()

  return the "substitute" state.

  Returns:
    "substitute" state
  Since:
    0.6

### setSubstitute

    public void setSubstitute(boolean substitute)

  fix the "substitute" state.

  Parameters:
    `substitute` - "substitute state" to fix
  Since:
    0.6

### isUsedForIdeogram

    public boolean isUsedForIdeogram()

  return the "used for ideogram" state.

  Returns:
    "used for ideogram" state
  Since:
    0.6

### setUsedForIdeogram

    public void setUsedForIdeogram(boolean usedForIdeogram)

  fix the "used for ideogram" state.

  Parameters:
    `usedForIdeogram` - "used for ideogram" state to fix
  Since:
    0.6

### isFeminineGrammaticalKind

    public boolean isFeminineGrammaticalKind()

  return the "feminine grammatical kind" state.

  Returns:
    "feminine grammatical kind" state
  Since:
    0.6

### setFeminineGrammaticalKind

    public void setFeminineGrammaticalKind(boolean feminineGrammaticalKind)

  fix the "feminine grammatical kind" state.

  Parameters:
    `feminineGrammaticalKind` - "feminine grammatical kind" state to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.